<?php  /* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * Advanced Google Maps API PHP Abstraction implementation
 *
 * PHP 4 and 5
 *
 *
 * @category   Services
 * @package    GMap
 * @author     Steven J Scott <webmaster@sjscott.net>
 * @copyright  2005 SJScott Enterprise
 * @license    GPL
 * @version    $Id: GEvent.php,v 1.80 2005/02/16 02:16:00 LIQID Exp $
 * @link       http://www.sjscott.net
 */
 

class GEvent {
	
	
	/**
	 * GEvent::listener
	 * some markers can have event listeners 
	 * @var string GEvent listener
	 */
	var $listener = null;
	
	
	/**
	 * GEvent::event_type
	 * 
	 * @var string event javascript name ie click, onmouseover etc
	 */
	var $event_type = null;
	
	/**
	 * GEvent::event_source
	 * 
	 * @var string javascript name of source for the event ie 'marker','map' etc
	 */
	var $event_source = null;
	
	/**
	 * GEvent::callbackFunction
	 * 
	 * @var string javascript callback function
	 */
	var $callbackFunction = null;
	
	/**
	 * constructor
	 * GEvent
	 * 
	 * @param string event listener javascript
	 * @param string name of the callback function
	 */	
	function GEvent ($src='marker',$typ='click',$clbk=null) {
	
		$this->event_source 	= $src;
		$this->event_type 		= $typ;
		$this->callbackFunction = $clbk;
		
	}
	
	
	/**
	 * 
	 */
	function generateAddListener($oid=null,$display_html=''){
		
		//addListener(source, eventName, listenerFn)
		if($oid){
			$this->event_source = $oid;
		}
		
		$html = "	GEvent.addListener($this->event_source, \"$this->event_type\", ".$this->getListenerCallbackFunction($display_html)." ); ";
  
  		return $html;

		
	}
	
	/**
	 * GEvent::getListenerCallbackFunction
	 * TODO implement this so that we can define the callback functions on the fly
	 * 
	 * @return string javascript version of the callback function when the click is raised
	 */
	function getListenerCallbackFunction($oid){
		
		if (!$this->callbackFunction){
			$html = 'function() { '.$oid.'.openInfoWindowHtml(\'Default info\'); }';
		} else {
			$html = $this->callbackFunction;	
		}
		
		
		return $html;
	}
	
	
	/**
	 * GEvent::generateScript
	 * TODO this is a generic script that will give back the add listeners function
	 * we need to be able to generate the other GEvent functions by looking at type
	 * 
	 * @return string javascript listener function
	 */
	function generateScript($oid=null){
		
		return $this->generateAddListener($oid);
		
	}
	
	
	
}

?>
