<?php  
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * Advanced Google Maps API PHP Abstraction implementation
 *
 * PHP 4 and 5
 *
 *
 * @category   Services
 * @package    GMap
 * @author     Steven J Scott <webmaster@sjscott.net>
 * @copyright  2005 SJScott Enterprise
 * @license    GPL
 * @version    $Id: GIcon.php,v 1.80 2005/02/16 02:16:00 LIQID Exp $
 * @link       http://www.sjscott.net
 */
 
 
 
class GIcon {
	

	/**
	 * GIcon::image
	 * 
	 * @var string 		:: image url foreground property image foreground URL 
	 */
	var $image = null;
	
	/**
	 * GIcon::shadow
	 * 
	 * @var string 		:: URL property image shadow 
	 */
	var $shadow = null;
	
	/**
	 * GIcon::shadowSize
	 *  
	 * @var int 		:: property pixel size of the background shadow
	 */
	var $shadowSize = null;
	
	/**
	 * GIcon::iconAnchor
	 *  
	 * @var string  	:: The pixel coordinate relative to the top left corner of the icon image at which we should anchor this icon to the map
	 */
	var $iconAnchor = null;
	
	/**
	 * GIcon::infoWindowAnchor
	 *  
	 * @var string  	:: The pixel coordinate relative to the top left corner of the icon image at which we should anchor the info window to this icon
	 */
	var $infoWindowAnchor = null;
	
	/**
	 * GIcon::printImage
	 *
	 * @var string  	:: URL of the foreground icon image we should use for printed maps. It should be the same size as the main icon image
	 */
	var $printImage = null;
	
	/**
	 * GIcon::mozPrintImage
	 *
	 * @var string  	::  URL of the foreground icon image we should use for printed maps in Firefox/Mozilla. It should be the same size as the main icon image.
	 */
	var $mozPrintImage = null;
	
	/**
	 * GIcon::printShadow
	 *
	 * @var string  	::  URL of the shadow image we should use for printed maps. It should be a GIF image since most browsers cannot print PNG images.
	 */
	var $printShadow = null;
	
	/**
	 * GIcon::transparent
	 *
	 * @var string  	:: The URL of a virtually transparent version of the foreground icon image used to capture IE click events. This image should be a 24-bit PNG version of the main icon image with 1% opacity, but the same shape and size as the main icon.
	 */
	var $transparent = null;
	
	/**
	 * GIcon::imageMap
	 *
	 * @var array	  	::  An array of integers representing the x/y coordinates of the image map we should use to specify the clickable part of the icon image in non-IE browsers.
	 */
	var $imageMap = null;

	/**
	 * Constructor
	 * 
	 * 
	 */
	function GIcon() {
		
		
		
	}	
	
	
}
 
 
?>
