<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * Advanced Google Maps API PHP Abstraction implementation
 *
 * PHP 4 and 5
 *
 *
 * @category   Services
 * @package    GMap
 * @author     Steven J Scott <webmaster@sjscott.net>
 * @copyright  2005 SJScott Enterprise
 * @license    GPL
 * @version    $Id: class.geo_decoder.php,v 1.80 2005/02/16 02:16:00 LIQID Exp $
 * @link       http://www.sjscott.net
 */

include_once ('nusoap.php');
 
class geoDecoder {
	
	
	/**
	 * geoDecoder::raw_address
	 * 
	 * @var string raw_address coming from user input
	 */
	var $raw_address = '';
	
	/**
	 * geoDecoder::normal_address
	 * 
	 * @var string normal_address after gone through filter
	 */
	var $raw_address = '';
	
	
	/**
	 * constructor
	 * 
	 * @param string :: address to be decoded
	 */	
	function geoDecoder($addr) {
		
		$this->normalizeAddress($addr);
		
	}
	
	
	/**
	 * geoDecoder::doDecode
	 * 
	 * this is the action function of this object
	 * It will hit the geocoder.us site which has a free service to decode addresses
	 * If you hit this site a lot then you might need to think about getting a lisence from them.
	 * Also if you do have a database of addresses then just running this decode on all of them once and storing
	 * the information in the BD might be the best idea.
	 * 
	 * @return array response of decode
	 */
	function doDecode(){
		
		// create new soap client
	    $soapclient = new soapclient("http://geocoder.us/service/soap");
	    //setup a loop right here
		$ad_data = array('geocode'=> $this->normal_address);
    	return $soapclient->call("geocode", $ad_data, "", "");
		
	}
	
	
	/**
	 * geoDecoder::normalizeAddress
	 * 
	 * TODO need to implement this layer
	 * 
	 * @param string raw address
	 * @return boolean success/failure
	 */
	function normalizeAddress($addr){
		
		$this->normal_address = $addr;
		
		return true;
	}
	
	
	
}

 
?>